#
# spec file for package netcfg
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           netcfg
Version:        11.6
Release:        150000.3.6.1
Summary:        Network Configuration Files in /etc
License:        BSD-3-Clause
Group:          System/Base
Source0:        defaultdomain
Source1:        exports
Source2:        ftpusers
Source3:        host.conf
Source4:        hosts
Source5:        hosts.allow
Source6:        hosts.deny
Source7:        hosts.equiv
Source8:        hosts.lpd
Source9:        networks
Source10:       protocols
Source11:       services.bz2
Source12:       hostname
Source13:       aliases
Source14:       ethers
Source15:       netgroup
Source16:       COPYING
Source17:       ethertypes
Source100:      services-compare.pl
Source101:      services-compare.sh
Source102:      services-create.pl
Source103:      services_UPDATING
Patch0:         services-suse.diff
Requires(post): coreutils
Requires(pre):  coreutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
All of the basic configuration files for the network programs including
%{_sysconfdir}/aliases, %{_sysconfdir}/protocols, and %{_sysconfdir}/services.

These are often used by network routines in the C library and therefore
must be installed for all network programs.

%prep

%build
cp %{SOURCE16} .

%install
mkdir -p %{buildroot}/etc
for i in hostname aliases defaultdomain exports ftpusers host.conf hosts hosts.allow hosts.deny hosts.equiv hosts.lpd netgroup networks protocols services.bz2 ethers ethertypes; do
  install $RPM_SOURCE_DIR/$i %{buildroot}/etc
done
bunzip2 %{buildroot}%{_sysconfdir}/services.bz2
patch -p0 %{buildroot}%{_sysconfdir}/services < $RPM_SOURCE_DIR/services-suse.diff
rm -f %{buildroot}%{_sysconfdir}/services.orig
ln -s %{_sysconfdir}/hostname %{buildroot}%{_sysconfdir}/HOSTNAME

%pre
# HOSTNAME migration supported scenarios [bnc#858908]:
# /etc/HOSTNAME -> /etc/hostname content preservation.
# If hostname and HOSTNAME both exist HOSTNAME wins.
# Nothing apart from content of the document is preserved
# REMOVE after SLE11/openSUSE-13.1 out of MIGRATION support
if [ $1 -gt 1 ]; then
  if [ -f %{_sysconfdir}/HOSTNAME -a ! -L %{_sysconfdir}/HOSTNAME ]; then
    cat %{_sysconfdir}/HOSTNAME > %{_sysconfdir}/hostname.rpmsave
    rm -rf %{_sysconfdir}/HOSTNAME %{_sysconfdir}/hostname
    touch %{_sysconfdir}/hostname
    ln -s %{_sysconfdir}/hostname %{_sysconfdir}/HOSTNAME
  fi
fi
exit 0

%post
# If the defaultdomain changed just prune it, user is not interested in
# 0 size file anyway
if [ -f %{_sysconfdir}/defaultdomain.rpmnew ]; then
  rm -f %{_sysconfdir}/defaultdomain.rpmnew
fi
if [ -f %{_sysconfdir}/hostname.rpmsave ]; then
  cat %{_sysconfdir}/hostname.rpmsave > %{_sysconfdir}/hostname
  rm -rf %{_sysconfdir}/HOSTNAME.rpmsave %{_sysconfdir}/hostname.rpmsave
fi
exit 0

%files
%defattr(644,root,root,755)
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hostname
%{_sysconfdir}/HOSTNAME
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/aliases
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/defaultdomain
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/ethers
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/exports
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/ftpusers
%config(noreplace) %{_sysconfdir}/host.conf
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hosts
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hosts.allow
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hosts.deny
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hosts.equiv
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hosts.lpd
%config(noreplace) %{_sysconfdir}/netgroup
%config(noreplace) %{_sysconfdir}/networks
%config(noreplace) %{_sysconfdir}/protocols
%config(noreplace) %{_sysconfdir}/services
%config(noreplace) %{_sysconfdir}/ethertypes
%license COPYING

%changelog
